Getopt::Yath::Option::AutoPathList(3pm)

NAME
Getopt::Yath::Option::AutoPathList - Like Getopt::Yath::Option::PathList with autofill.

DESCRIPTION
Like Getopt::Yath::Option::PathList with autofill.

SYNOPSIS
    option dev_libs => (
        type        => 'AutoPathList',
        short       => 'D',
        name        => 'dev-lib',

        autofill => sub { 'lib', 'blib/lib', 'blib/arch' },

        description => 'find the local code instead of the installed versions of the same code. You can provide an argument (-Dfoo) to provide a custom path, or you can just use -D without and arg to add lib, blib/lib and blib/arch.',

        long_examples  => ['', '=lib', '="lib/*"'],
        short_examples => ['', 'lib', '=lib', 'lib', '"lib/*"'],
    );

METHODS
All methods from Getopt::Yath::Option::AutoList are inherited, with "normalize_value" from Getopt::Yath::Option::PathList (glob expansion).

requires_arg: false
allows_autofill: true
requires_autofill: true
    "--opt" adds the autofill paths. "--opt=GLOB" expands the glob and adds matching paths.

SOURCE
The source code repository for Getopt-Yath can be found at <http://github.com/Test-More/Getopt-Yath/>.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS
Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright Chad Granum <exodist7@gmail.com>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See <http://dev.perl.org/licenses/>